Multivariate Pattern Analysis in Python

# mvpa2.measures.base.BinaryClassifierSensitivityAnalyzer

class `mvpa2.measures.base.``BinaryClassifierSensitivityAnalyzer`(*args_, **kwargs_)

  Set sensitivity analyzer output to have proper labels

  Notes

  Available conditional attributes:

  - `calling_time+`: Time (in seconds) it took to call the node
  - `clf_sensitivities`: Stores sensitivities of the proxied classifier
  - `null_prob+`: None
  - `null_t`: None
  - `raw_results`: Computed results before invoking postproc. Stored only if postproc is not None.
  - `trained_dataset`: The dataset it has been trained on
  - `trained_nsamples+`: Number of samples it has been trained on
  - `trained_targets+`: Set of unique targets (or any other space) it has been trained on (if present in the dataset trained on)
  - `training_time+`: Time (in seconds) it took to train the learner

  (Conditional attributes enabled by default suffixed with `+`)

  Attributes

  `analyzer` |
  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `clf` |
  `descr` | Description of the object if any
  `feature_ids` | Return feature_ids used by the underlying classifier
  `force_train` | Whether the Learner enforces training upon every call.
  `is_trained` |
  `null_dist` | Return Null Distribution estimator
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `__call__`(ds) |
  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node
  `set_space`(name) | Set the processing space name of this node.
  `train`(ds) | The default implementation calls `_pretrain()`, `_train()`, and finally `_posttrain()`.
  `untrain`() | Reverts changes in the state of this node caused by previous training

  Initialize instance of ProxyClassifierSensitivityAnalyzer

  Parameters:

  enable_ca : None or list of str

  > Names of the conditional attributes which should be enabled in addition to the default ones

  disable_ca : None or list of str

  > Names of the conditional attributes which should be disabled

  Attributes

  `analyzer` |
  `auto_train` | Whether the Learner performs automatic trainingwhen called untrained.
  `clf` |
  `descr` | Description of the object if any
  `feature_ids` | Return feature_ids used by the underlying classifier
  `force_train` | Whether the Learner enforces training upon every call.
  `is_trained` |
  `null_dist` | Return Null Distribution estimator
  `pass_attr` | Which attributes of the dataset or self.ca to pass into result dataset upon call
  `postproc` | Node to perform post-processing of results
  `space` | Processing space name of this node

  Methods

  `__call__`(ds) |
  `generate`(ds) | Yield processing results.
  `get_postproc`() | Returns the post-processing node or None.
  `get_space`() | Query the processing space name of this node.
  `reset`() |
  `set_postproc`(node) | Assigns a post-processing node
  `set_space`(name) | Set the processing space name of this node.
  `train`(ds) | The default implementation calls `_pretrain()`, `_train()`, and finally `_posttrain()`.
  `untrain`() | Reverts changes in the state of this node caused by previous training